<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Closed</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar::sidebar" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Request Closed
                </div>
            </div>
        </div>
        <form method="get">
            <div class="row">
                <p><a class="link-primary" th:href="@{/transaksi/pengajuandana/baru}" role="button">Klik disini</a> jika anda ingin membuat pengajuan dana baru. </p>
                <div class="col-md-9">
                    Show entries <span sd:page-size-selector="javascript"></span>
                </div>

                <div class="col-md-3" align="right">
                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>
            </div>
        </form>
        <br>
        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <table class="table small">
                        <thead class="table-dark" style="--bs-table-bg:#565d60;">
                        <tr>
                            <th colspan="7">
                                List
                            </th>
                        </tr>
                        </thead>
                        <tbody th:each="dataPengajuanDanaClosed, stat: *{listPengajuanDanaClosed}" >
                        <tr class="table-light">
                            <td align="right" style="width: 50px; alignment: right;" th:text="${(stat.index + 1) + (listPengajuanDanaClosed.number * listPengajuanDanaClosed.size)}">1</td>
                            <td colspan="3" th:text="${dataPengajuanDanaClosed.getAnggaran().getKodeAnggaran() + ' - ' + dataPengajuanDanaClosed.getAnggaran().getNamaAnggaran()}"></td>
                            <td colspan="4" style="width: 20%" align="right" th:text="${#temporals.format(dataPengajuanDanaClosed.tanggalPengajuan,'dd-MMM-yyyy hh:mm:ss a')}"></td>
                        </tr>
                        <tr>
                            <td rowspan="3"></td>
                            <td rowspan="3" width="15%" align="center">
                                <a th:if="${dataPengajuanDanaClosed.file} == 'default.jpg'" class="btn btn-danger" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;">
                                    No Attachment
                                </a>
                                <a  th:if="${dataPengajuanDanaClosed.file} != 'default.jpg'" class="btn btn-success" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDanaClosed.id})}" target="_blank">
                                    View Attachment
                                </a>
                            </td>
                            <td width="5%">Item:</td>
                            <td th:text="${dataPengajuanDanaClosed.getAnggaranDetail().getDeskripsi()}">
                            </td>
                            <td colspan="3" align="right" th:text="${dataPengajuanDanaClosed.getKuantitas() + ' ' + dataPengajuanDanaClosed.getSatuan()}">
                            </td>
                        </tr>
                        <tr>
                            <td>For:</td>
                            <td th:text="${dataPengajuanDanaClosed.getRequestFor().getNamaKaryawan()}">
                            </td>
                            <td colspan="3" align="right"  th:text="${'Rp. ' + #numbers.formatDecimal(dataPengajuanDanaClosed.getJumlah(), 0, 'POINT', 2, 'COMMA')}">
                            </td>
                        </tr>
                        <tr>
                            <td>Desc:</td>
                            <td th:text="${dataPengajuanDanaClosed.getDeskripsiBiaya()}">
                            </td>
                            <td colspan="3" align="right">
                                <!--                                <button type="button" class="btn btn-warning btn-xs" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" data-toggle="modal" data-target="#modal-default" th:attr="data-target='#modal-default'+${dataPengajuanDanaWaiting.getId()}">-->
                                <!--                                    Waiting-->
                                <!--                                </button>-->

                                <button type="button" class="btn btn-success" data-bs-toggle="modal" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;">
                                    Closed
                                </button>

<!--                                <div class="modal fade" th:id="exampleModal+${dataPengajuanDanaClosed.getId()}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
<!--                                    <div class="modal-dialog">-->
<!--                                        <div class="modal-content">-->
<!--                                            <div class="modal-header">-->
<!--                                                <h5 class="modal-title" id="exampleModalLabel">List Approval</h5>-->
<!--                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>-->
<!--                                            </div>-->
<!--                                            <div class="modal-body">-->
<!--                                                <table class="table table-bordered">-->
<!--                                                    <tr th:each="dataPengajuanDanaApprovalWaiting, stat: *{list}">-->
<!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaApproved.id}">-->
<!--                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.nomorUrut}"></span>-->
<!--                                                        </td>-->
<!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaApproved.id}">-->
<!--                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.userApprove.namaKaryawan}">Update software</span>-->
<!--                                                        </td>-->
<!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaApproved.id}">-->
<!--                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.statusApprove}">Update software</span>-->
<!--                                                        </td>-->
<!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.tanggalApprove} != null and ${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaApproved.id}">-->
<!--                                                            <span th:text="${#temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
<!--                                                        </td>-->
<!--                                                    </tr>-->
<!--                                                </table>-->
<!--                                            </div>-->
<!--                                            <div class="modal-footer">-->
<!--                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>-->
<!--                                                <button type="button" class="btn btn-primary">Save changes</button>-->
<!--                                            </div>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->
                            </td>
                            <!--                            <td width="5%">-->
                            <!--                                <form th:if="${dataPengajuanDanaApproved.getNomorUrut() <= 1}" method="post" th:action="@{/transaksi/pengajuandana/batal(pengajuandana = ${dataPengajuanDanaApproved.id})}">-->
                            <!--                                    <button style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" th:if="${dataPengajuanDanaApproved.getNomorUrut() <= 1}" type="submit" class="btn btn-danger btn-xs"-->
                            <!--                                            onclick="return confirm('Are you sure want to cancel this?')">-->
                            <!--                                        Cancel-->
                            <!--                                    </button>-->
                            <!--                                </form>-->
                            <!--                            </td>-->
                        </tr>


                        </tbody>

                    </table>
                </div>
                <br>
                <nav aria-label="...">
                    <ul class="pagination" sd:pagination="full">
                        <li class="page-item disabled">
                            <a class="page-link">Previous</a>
                        </li>
                        <li class="page-item"><a class="page-link" href="#">1</a></li>
                        <li class="page-item active" aria-current="page">
                            <a class="page-link" href="#">2</a>
                        </li>
                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                        <li class="page-item">
                            <a class="page-link" href="#">Next</a>
                        </li>
                    </ul>
                </nav>
            </div>
        </div>
    </main>
</main>

</body>
</html>


<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Title</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Request Fund-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Transaction</li>-->
<!--        <li class="active"> Request Fund</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->


<!--    <div class="row">-->
<!--        <div class="col-md-3">-->
<!--            <a th:href="@{/transaksi/pengajuandana/baru}" class="btn btn-primary btn-block margin-bottom">New Request Fund</a>-->

<!--            <div class="box box-solid">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Folders</h3>-->

<!--                    <div class="box-tools">-->
<!--                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>-->
<!--                        </button>-->
<!--                    </div>-->
<!--                </div>-->
<!--                <div class="box-body no-padding">-->
<!--                    <ul class="nav nav-pills nav-stacked">-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana}"><i class="fa fa-inbox"></i>  Current Request-->
<!--                            <span th:if="${jumlahPengajuanDanaWaiting} > 0" class="label label-warning pull-right" th:text="${jumlahPengajuanDanaWaiting}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/approved}"><i class="fa fa-inbox"></i>  Approved-->
<!--                            <span th:if="${jumlahPengajuanDanaApproved} > 0" class="label label-success pull-right" th:text="${jumlahPengajuanDanaApproved}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/rejectedlist}"><i class="fa fa-inbox"></i>  Rejected-->
<!--                            <span th:if="${jumlahPengajuanDanaRejected} > 0" class="label label-danger pull-right" th:text="${jumlahPengajuanDanaRejected}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/disbursment}"><i class="fa fa-inbox"></i>  Ready to Disburse-->
<!--                            <span th:if="${jumlahDisbursement} > 0" class="label label-primary pull-right" th:text="${jumlahDisbursement}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/already/disbursment}"><i class="fa fa-inbox"></i>  Disbursed Fund-->
<!--                            <span th:if="${jumlahAlreadyDisbursement} > 0" class="label label-success pull-right" th:text="${jumlahAlreadyDisbursement}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/laporan}"><i class="fa fa-envelope-o"></i> Unreported-->
<!--                            <span th:if="${jumlahUnreported} > 0" class="label label-danger pull-right" th:text="${jumlahUnreported}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/laporanwaiting}"><i class="fa fa-envelope-o"></i> Reported / Unconfirmed-->
<!--                            <span th:if="${jumlahReportedWaiting} > 0" class="label label-warning pull-right" th:text="${jumlahReportedWaiting}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/laporanrejected}"><i class="fa fa-envelope-o"></i> Reported / Rejected-->
<!--                            <span th:if="${jumlahReportedRejected} > 0" class="label label-danger pull-right" th:text="${jumlahReportedRejected}">12</span></a></li>-->
<!--                        <li class="active"><a th:href="@{/transaksi/pengajuandana/closed}"><i class="fa fa-envelope-o"></i> Closed-->
<!--                            <span th:if="${jumlahClosed} > 0" class="label label-default pull-right" th:text="${jumlahClosed}">12</span></a></li>-->

<!--                        <li><a th:href="@{/transaksi/pengajuandana/waitingrefund}"><i class="fa fa-envelope-o"></i> Waiting For Refund-->
<!--                            <span th:if="${jumlahWaitingRefund} > 0" class="label label-danger pull-right" th:text="${jumlahWaitingRefund}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/refund}"><i class="fa fa-envelope-o"></i> Refund-->
<!--                            <span th:if="${jumlahRefund} > 0" class="label label-success pull-right" th:text="${jumlahRefund}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/refundclose}"><i class="fa fa-envelope-o"></i> Refund Closed-->
<!--                            <span th:if="${jumlahRefundClosed} > 0" class="label label-danger pull-right" th:text="${jumlahRefundClosed}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/all}"><i class="fa fa-trash-o"></i> All</a></li>-->
<!--                    </ul>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--            </div>-->

<!--        </div>-->
<!--        &lt;!&ndash; /.col &ndash;&gt;-->
<!--        <div class="col-md-9">-->
<!--            <div class="nav-tabs-custom">-->
<!--                <ul class="nav nav-tabs">-->
<!--                    <li class="active"><a href="#waiting" data-toggle="tab">Closed</a></li>-->
<!--                </ul>-->
<!--                <div class="tab-content">-->

<!--                    <div class="active tab-pane" id="closed">-->
<!--                        <div class="box-header clearfix">-->
<!--                            <form method="get">-->
<!--                                <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">-->
<!--                                    <div class="input-group-btn">-->
<!--                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </form>-->
<!--                        </div>-->
<!--                        <div class="box-body no-padding">-->
<!--                            <div class="row" th:each="dataPengajuanDanaClosed,row : ${listPengajuanDanaClosed}">-->
<!--                                <div class="col-md-12 col-sm-12 col-xs-12">-->
<!--                                    <div class="info-box bg-green">-->
<!--                                        <span class="info-box-icon"><i class="fa fa-bookmark-o"></i></span>-->

<!--                                        <div class="info-box-content">-->
<!--                                            <span class="info-box-text" th:text="${'Kode : ' + dataPengajuanDanaClosed.anggaran.kodeAnggaran}">Bookmarks</span>-->
<!--                                            <span class="info-box-text" th:text="${'Nama Anggaran : ' + dataPengajuanDanaClosed.anggaran.namaAnggaran}">Bookmarks</span>-->
<!--                                            <span class="info-box-text" th:text="${'Deskripsi : ' + dataPengajuanDanaClosed.deskripsiBiaya}">Bookmarks</span>-->
<!--                                            <span class="info-box-number" th:text="${'Pengajuan : Rp. ' + #numbers.formatDecimal(dataPengajuanDanaClosed.jumlah, 0, 'POINT', 2, 'COMMA')}">41,410</span>-->
<!--                                            <span class="info-box-text" th:text="${'Tanggal Pengajuan : ' + #temporals.format(dataPengajuanDanaClosed.tanggalPengajuan,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
<!--                                            <div class="progress">-->
<!--                                                <div class="progress-bar" style="width: 100%"></div>-->
<!--                                            </div>-->
<!--                                                    <span class="progress-description" style="color: #D2E4E8">-->
<!--                                                        Closed-->
<!--                                                    </span>-->
<!--                                        </div>-->
<!--                                        &lt;!&ndash; /.info-box-content &ndash;&gt;-->
<!--                                    </div>-->
<!--                                    &lt;!&ndash; /.info-box &ndash;&gt;-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="box-footer clearfix">-->
<!--                            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                                <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                        aria-hidden="true">&laquo;</span></a>-->
<!--                                </li>-->
<!--                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                                </li>-->
<!--                            </ul>-->
<!--                        </div>-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.tab-pane &ndash;&gt;-->
<!--                </div>-->
<!--                &lt;!&ndash; /.tab-content &ndash;&gt;-->
<!--            </div>-->
<!--            &lt;!&ndash; /.nav-tabs-custom &ndash;&gt;-->

<!--        </div>-->

<!--    </div>-->

<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#datepicker').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->


<!--    <script th:inline="javascript" type="text/javascript">-->

<!--        function openReservationModal(id) {-->


<!--            $.ajax({-->
<!--                url: "/reservations/details/"+id,-->
<!--                success: function(data) {-->
<!--                    console.log(data);-->
<!--                    $("#modalHolder").html(data);-->
<!--                    $("#reservationModal").modal("show");-->
<!--                }-->
<!--            });-->

<!--        }-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->